package net.t2code.automatedMessages;

import lombok.Getter;
import net.t2code.t2codelib.util.T2C_Util;

import java.util.ArrayList;
import java.util.Arrays;

public class Util {

    @Getter
    private static String infoText = "";

    @Getter
    private static String requiredT2CodeLibVersion = "16.7";

    @Getter
    private static String prefix = "<dark_gray>[<dark_red>T2C</dark_red>-<color:#5cff5c>Automated</color><color:#69d2ff>Messages</color>]</dark_gray>";

    @Getter
    private static Integer spigotID = 110801;

    @Getter
    private static String git = "JaTiTV/T2C-AutomatedMessages";

    @Getter
    private static Integer bstatsID = 16882;

    @Getter
    private static String spigot = "https://www.spigotmc.org/resources/" + getSpigotID();

    @Getter
    private static String discord = "http://dc.t2code.net";

    public static String[] getConfigLogo() {
        ArrayList<String> arrayList = new ArrayList<>(T2C_Util.getConfigT2CodeLogo());
        arrayList.addAll(Arrays.asList("", "# Spigot: " + spigot));
        return arrayList.toArray(new String[0]);
    }

}
