package net.t2code.automatedMessages.command;

import net.t2code.automatedMessages.Util;
import net.t2code.automatedMessages.config.Config;
import net.t2code.automatedMessages.config.Languages;
import net.t2code.automatedMessages.config.Messages;
import net.t2code.automatedMessages.messages.Management;
import net.t2code.automatedMessages.system.Main;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Send;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Template;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class Commands {
    public static void reload(CommandSender sender) {
        T2C_Send.console(Languages.VALUES.msgReloadStart.getValue().toString());
        if (sender instanceof Player) T2C_Send.sender(sender, Languages.VALUES.msgReloadStart.getValue().toString());
        Management.end();

        Config.set(true);
        Languages.set(true);
        Messages.set(true);

        Management.start();
        if (sender instanceof Player) T2C_Send.sender(sender, Languages.VALUES.msgReloadEnd.getValue().toString());
        T2C_Send.console(Languages.VALUES.msgReloadEnd.getValue().toString());
    }

    public static void info(CommandSender sender) {
        T2C_Template.sendInfo(sender, Main.getPlugin(), Util.getSpigotID(), Util.getDiscord(), Util.getInfoText());
    }
}
