package net.t2code.automatedMessages.system;

import net.t2code.automatedMessages.Util;
import net.t2code.automatedMessages.command.CmdExecuter;
import net.t2code.automatedMessages.config.Config;
import net.t2code.automatedMessages.config.Languages;
import net.t2code.automatedMessages.config.Messages;
import net.t2code.automatedMessages.messages.Management;
import net.t2code.t2codelib.SPIGOT.api.messages.T2C_Template;
import net.t2code.t2codelib.SPIGOT.api.update.T2C_UpdateAPI;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class Load {
    public static void onLoad(@NotNull Main plugin, List<String> autor, String version) {
        long long_ = T2C_Template.onLoadHeader(Util.getPrefix(), autor, version, Util.getSpigot(), Util.getDiscord());
        plugin.getCommand("t2c-automatedmessages").setExecutor(new CmdExecuter());

        Config.set(false);
        Languages.set(false);
        Messages.set(false);

        Management.start();

        T2C_UpdateAPI.onUpdateCheck(plugin, Util.getPrefix(), Util.getGit(), Util.getSpigotID(), Util.getDiscord(), (boolean) Config.VALUES.updateCheckOnJoin.getValue(),
                (boolean) Config.VALUES.updateCheckSeePreReleaseUpdates.getValue(), (int) Config.VALUES.updateCheckTimeInterval.getValue());
        Metrics.Bstats(plugin, Util.getBstatsID());
        T2C_Template.onLoadFooter(Util.getPrefix(), long_);

    }
}
